﻿using ModelTools.Attributes;
using ModelTools.ViewModels;

namespace SecurityBusinessLogic.ViewModels
{
	/// <summary>
	/// Список общих настроек системы
	/// </summary>
	public class EnviromentSettingListViewModel : ListViewModel<EnviromentSettingViewModel> { }

	/// <summary>
	/// Элемент общих настроек системы
	/// </summary>
	public class EnviromentSettingViewModel : ElementViewModel
	{
		[ViewModelOnListProperty("Ключ")]
		[MapConfiguration("Key")]
		public string Key { get; set; }

		[ViewModelOnListProperty("Значение", 100)]
		[MapConfiguration("Value")]
		public int Value { get; set; }

		public override string ToString() => Key;
	}
}